1. GEO1ER's Avatar
    I had Subways Surfers for a long time, deleted it and decided to reload it but now I says not compatible for my device on Snap, can't find it on 1Mobile or Amazon and when I try to download the APK for APK's4Blackberry, it doesn't work. Anyone know?

    I have a Z30 running the latest BlackBerry OS10 software.

    Posted via CB10
    03-20-16 03:40 PM
  2. jaydee5799's Avatar
    you need an updated version of android runtime more than likely
    03-20-16 06:15 PM

Similar Threads

  1. I need the playbook leak file pls can anyone help
    By Patto Edeh in forum BlackBerry PlayBook OS
    Replies: 4
    Last Post: 04-22-16, 04:40 PM
  2. Replies: 5
    Last Post: 04-19-16, 01:42 AM
  3. Why can't I share things over bluetooth on BB Playbook with an Android phone?
    By CrackBerry Question in forum BlackBerry PlayBook
    Replies: 5
    Last Post: 03-26-16, 01:27 PM
  4. Can you recover a deleted text message from a Z30?
    By CrackBerry Question in forum BlackBerry Z30
    Replies: 4
    Last Post: 03-23-16, 01:44 PM
  5. Why you don't like Verizon Message+?
    By luigieagle in forum BlackBerry Priv
    Replies: 5
    Last Post: 03-20-16, 01:46 PM
LINK TO POST COPIED TO CLIPBOARD